Subject: Re: Commit cherry-picking

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 3 Apr 2007 01:19:47 -0400

Alberto Bertogli <[email-masked]> wrote:
> I often use darcs, and one feature I miss when I use git is the ability
> to do cherry-picking on what I'm about to commit.

Have you tried:

	git add -i
	git commit

?

The `git add -i` flag starts up an interactive tool that you can use
to add patch hunks to the index, staging them for the next commit.
Running commit with no arguments will then commit exactly what is
in the index, leaving the other hunks beind in the working directory.

Or did I miss something?  Note that `git add -i` was added as a
new feature in Git 1.5.0 (and later).

-- 
Shawn.